SELECT DISTINCT
RV.Netbios_Name0 as 'Pc Name',
RV.User_Domain0 as 'User Name',
GD.DeviceID0 as 'Device ID',
GD.Size0 as 'Current HD Size',
HD.Size0 as 'Historic HD Size'
FROM
dbo.v_R_System_Valid RV
INNER JOIN v_GS_DISK GD ON RV.ResourceID = GD.ResourceID
INNER JOIN v_HS_DISK HD ON RV.ResourceID = HD.ResourceID
WHERE
GD.Size0 <> HD.Size0 and GD.DeviceID0 = HD.DeviceID0