SELECT 
  SF.FileName,
  replace(left(SF.FileVersion,2), '.','') as 'IE Version',
  Count (Distinct SF.ResourceID) as 'Total Installs'
FROM 
  dbo.v_GS_SoftwareFile SF 
  INNER JOIN dbo.v_FullCollectionMembership fcm ON SF.ResourceID=FCM.ResourceID
WHERE 
  SF.FileName = 'iexplore.exe' 
  and SF.FilePath like '%Internet Explorer%'
GROUP BY 
  SF.FileName, 
  replace(left(SF.FileVersion,2), '.','')
ORDER BY 
  'IE Version'