SELECT DISTINCT
  CS.Name0, 
  CS.UserName0, 
  CASE
    WHEN (sum(case when UCS.status=2 then 1 else 0 end))>0 then 
	  ('Needs '+(cast(sum(case when UCS.status=2 then 1 
	  ELSE 0 end)as varchar(10))+ ' Patches')) 
    ELSE 'Good Client' 
  END AS 'Status', 
  ws.lasthwscan as 'Last HW scan' 
FROM
  dbo.v_UpdateComplianceStatus as UCS 
  LEFT OUTER JOIN dbo.v_GS_COMPUTER_SYSTEM as CS 
    on CS.ResourceID = UCS.ResourceID 
  JOIN v_CICategories_All as catall2 
    on catall2.CI_ID = UCS.CI_ID 
  JOIN v_CategoryInfo as catinfo2 
    on catall2.CategoryInstance_UniqueID 
    = catinfo2.CategoryInstance_UniqueID 
    and catinfo2.CategoryTypeName = 'UpdateClassification' 
  LEFT JOIN v_gs_workstation_status as ws 
    on ws.resourceid = CS.ResourceID 
  LEFT JOIN v_FullCollectionMembership as FCM 
    on FCM.ResourceID = CS.ResourceID 
WHERE
  UCS.status = '2' 
  and FCM.CollectionID = 'SMS00001' 
GROUP BY
  CS.Name0, 
  CS.UserName0, 
  ws.lasthwscan, 
  FCM.CollectionID 
ORDER BY
  CS.Name0, 
  CS.UserName0
