SELECT
R.Netbios_Name0,
GETDATE () as 'Today Date',
OS.InstallDate0 as 'OS install date',
DATEDIFF (dd, OS.InstallDate0, getdate()) as '# of Days since installed',
DATEPART (mm, OS.InstallDate0) as 'Month installed'
FROM 
v_R_System as R
JOIN dbo.v_GS_OPERATING_SYSTEM as OS on R.ResourceID = OS.ResourceID
ORDER BY 
      R.Netbios_Name0
