SELECT 
count(R.ResourceID) as '# of computers'
FROM
dbo.v_R_System as R

SELECT 
count(ARP.ResourceID) as '# of ARP entries'
FROM
dbo.v_Add_Remove_Programs AS ARP

SELECT 
R.Netbios_Name0 as 'Computer',
ARP.DisplayName0 as 'ARP Display Name'
FROM
dbo.v_R_System as R,
dbo.v_Add_Remove_Programs AS ARP
ORDER BY
	R.Netbios_Name0 DESC,
	ARP.DisplayName0 DESC
