SELECT Distinct
  CS.Name0, 
  CS.UserName0, 
  CASE
    When (sum(case when UCS.status=2 then 1 else 0 end))>0 then 
	    ('Needs '+(cast(sum(case when UCS.status=2 then 1 else 0 end)
	    as varchar(10))+ ' Patches')) 
    Else 'Good Client' 
  End as 'Status', 
  ws.lasthwscan as 'Last HW scan' 
FROM 
  v_UpdateComplianceStatus UCS 
  LEFT OUTER JOIN dbo.v_GS_COMPUTER_SYSTEM CS on CS.ResourceID = UCS.ResourceID 
  JOIN v_CICategories_All catall2 on catall2.CI_ID = UCS.CI_ID 
  JOIN v_CategoryInfo catinfo2 on catall2.CategoryInstance_UniqueID = 
      catinfo2.CategoryInstance_UniqueID and 
	  catinfo2.CategoryTypeName = 'UpdateClassification' 
  LEFT JOIN v_gs_workstation_status ws on ws.resourceid = CS.resourceid 
  LEFT JOIN v_fullcollectionmembership FCM on FCM.resourceid = CS.resourceid 
WHERE 
  UCS.Status = '2' 
  and FCM.collectionid = 'SMS00001' 
GROUP BY 
  CS.Name0, 
  CS.UserName0, 
  ws.lasthwscan, 
  FCM.collectionID 
ORDER BY 
  CS.Name0, 
  CS.UserName0
