SELECT DISTINCT
  ui.BulletinID, 
  ui.ArticleID,
  ui.Title,
  ui.dateposted,
  ui.InfoURL
FROM
  v_UpdateComplianceStatus UCS 
  LEFT OUTER JOIN dbo.v_GS_COMPUTER_SYSTEM  CS on CS.ResourceID = UCS.ResourceID 
  JOIN v_CICategories_All catall2 on catall2.CI_ID = UCS.CI_ID 
  JOIN v_CategoryInfo catinfo2 on catall2.CategoryInstance_UniqueID = 
          catinfo2.CategoryInstance_UniqueID 
          and catinfo2.CategoryTypeName = 'UpdateClassification' 
  LEFT JOIN v_fullcollectionmembership FCM on FCM.resourceid = CS.resourceid 
  JOIN v_UpdateInfo ui on ui.CI_ID = UCS.CI_ID
WHERE 
  UCS.Status = '2' 
  AND cs.Name0 = @PC
ORDER BY
  ui.ArticleID
