SELECT DISTINCT
 CS.Name0, 
 CS.UserName0, 
 case 
  when (sum(case when UCS.status=2 then 1 else 0 end))>0
   then ('Needs '+(cast(sum(case when UCS.status=2 then 1 else 0 end)
   as varchar(10))+ ' Patches')) 
  else 'Good Client' 
 end as 'Status', 
 ws.lasthwscan as 'Last HW scan' 
FROM
 dbo.v_UpdateComplianceStatus as UCS 
 LEFT OUTER JOIN dbo.v_GS_COMPUTER_SYSTEM  as CS 
  on CS.ResourceID = UCS.ResourceID 
 INNER JOIN v_CICategories_All as catall2 
  on catall2.CI_ID = UCS.CI_ID 
 INNER JOIN v_CategoryInfo as catinfo2 
  on catall2.CategoryInstance_UniqueID = catinfo2.CategoryInstance_UniqueID 
  and catinfo2.CategoryTypeName = 'UpdateClassification' 
 LEFT OUTER JOIN v_gs_workstation_status as ws 
  on ws.resourceid = CS.ResourceID 
 LEFT OUTER JOIN dbo.v_FullCollectionMembership as FCM 
  on FCM.ResourceID = CS.ResourceID 
WHERE
 UCS.Status = '2' 
 and FCM.CollectionID = @Coll 
GROUP BY
 CS.Name0, 
 CS.UserName0, 
 ws.lasthwscan, 
 FCM.CollectionID 
ORDER BY 
 CS.Name0, 
  CS.UserName0
