SELECT DISTINCT
  CS.Name0, 
  CS.UserName0, 
  CASE 
    when (sum(case when UCS.status=2 then 1 else 0 end))>0 then ('Needs '+(cast(sum(case when UCS.status=2 then 1 else 0 end) as varchar(10))+ ' Patches')) 
    else 'Good Client' 
  end as 'Status', 
  WS.lasthwscan as 'Last HW scan' 
FROM 
  dbo.v_UpdateComplianceStatus as UCS 
  LEFT OUTER JOIN dbo.v_GS_COMPUTER_SYSTEM  as CS on CS.ResourceID = UCS.ResourceID 
  INNER JOIN v_CICategories_All as catall2 ON catall2.CI_ID = UCS.CI_ID 
  INNER JOIN v_CategoryInfo as catinfo2 ON catall2.CategoryInstance_UniqueID = catinfo2.CategoryInstance_UniqueID and catinfo2.CategoryTypeName = 'UpdateClassification' 
  LEFT OUTER JOIN dbo.v_GS_WORKSTATION_STATUS as WS ON ws.resourceid = CS.ResourceID 
  LEFT OUTER JOIN dbo.v_FullCollectionMembership as FCM ON FCM.ResourceID = CS.ResourceID 
WHERE 
  UCS.Status = '2' 
  and FCM.CollectionID = 'SMS00001' 
GROUP BY 
  CS.Name0, 
  CS.UserName0, 
  WS.lasthwscan, 
  FCM.CollectionID 
ORDER BY 
  CS.Name0, 
  CS.UserName0