SELECT 
  sys.Name0,
  UI.ArticleID, 
  UI.BulletinID, 
  UI.Title, 
  sn.StateName as Status
FROM 
  v_UpdateComplianceStatus UCS
  JOIN v_UpdateInfo UI ON UCS.CI_ID = UI.CI_ID 
  JOIN v_R_System sys ON UCS.ResourceID=sys.ResourceID
  JOIN v_StateNames sn ON UCS.LastEnforcementMessageID=sn.StateID 
WHERE
  sys.Netbios_Name0 LIKE 'GJ5'
  AND sn.TopicType = '402'
ORDER BY 
  ui.ArticleID,
  sn.StateName