SELECT 
S.SystemRole0 as 'System Role',
COUNT(S.SystemRole0) as 'Count of System Roles',
MIN (Ram.TotalPhysicalMemory0) as 'Min RAM for a System Role',
AVG (Ram.TotalPhysicalMemory0) as 'Avg RAM for a System Role',
MAX (Ram.TotalPhysicalMemory0) as 'Max RAM for a System Role',
SUM (Ram.TotalPhysicalMemory0) as 'Sum of RAM for a System Role'
FROM 
dbo.v_GS_X86_PC_MEMORY as RAM
join dbo.v_GS_SYSTEM as S on S.ResourceID = RAM.ResourceID
GROUP BY
      S.SystemRole0 
