SELECT
R.Netbios_Name0,
GETDATE() as 'Today Date',
WS.LastHWScan as 'Last HW Scan date',
datepart(mm,WS.LastHWScan) as 'Month',
CASE DATEPART (mm,WS.LastHWScan)
  When 1 then 'January'
  When 2 then 'February'
  When 3 then 'March'
  When 4 then 'April'
  When 5 then 'May'
  When 6 then 'June'
  When 7 then 'Summer'
  When 8 then 'Summer'
  When 9 then 'Fall'
  When 10 then 'Fall'
  Else 'Winter'
End as 'time of year'
FROM 
v_R_System as R
join dbo.v_GS_WORKSTATION_STATUS as WS on R.ResourceID = WS.ResourceID
ORDER BY 
      R.Netbios_Name0
