SELECT
R.Netbios_Name0 as 'PC',
ARP.InstallDate0 as 'ARP Install Date',
CAST (ARP.InstallDate0 as datetime) AS 'ARP Date/Time',
CONVERT (Char(19), Cast(ARP.InstallDate0 AS DATETIME), 0) as 'ARP Date string'
FROM 
v_R_System as R
join v_Add_Remove_Programs as ARP on R.ResourceID = ARP.ResourceID
join v_GS_SYSTEM as S on R.ResourceID = S.ResourceID
WHERE
S.SystemRole0 = 'Workstation'
and isdate(ARP.InstallDate0)=1
and ARP.InstallDate0 is not Null
ORDER BY 
      R.Netbios_Name0
