SELECT 
RV.Netbios_Name0 as 'PC Name',
RV.User_Domain0 as 'User Name',
RAM.TotalPhysicalMemory0 as 'Current RAM',
HRAM.TotalPhysicalMemory0 as 'Historic RAM'
FROM 
dbo.v_R_System_Valid RV
JOIN dbo.v_GS_X86_PC_MEMORY RAM on RV.ResourceID = RAM.ResourceID
JOIN dbo.v_HS_X86_PC_MEMORY HRAM on RV.ResourceID = HRAM.ResourceID
WHERE 
RAM.TotalPhysicalMemory0 <> HRAM.TotalPhysicalMemory0
and RV.Is_Virtual_Machine0 = 0
ORDER BY 
	RV.Netbios_Name0
