SELECT
 R.Netbios_Name0 as 'PC',
 GETDATE () as 'Today Date',
 WS.LastHWScan as 'Last Hardware Inventory Scan',
 DATEDIFF (MINUTE, WS.LastHWScan, getdate()) 
  as 'Minutes since the last hardware inventory scan',
 DATEPART (dd, WS.LastHWScan) 
  as 'Day of month last hardware inventory scan'
FROM 
 v_R_System as R
 JOIN dbo.v_GS_WORKSTATION_STATUS as WS 
  on R.ResourceID = WS.ResourceID
ORDER BY 
 R.Netbios_Name0
