SELECT
 R.Netbios_Name0 as 'PC',
 CASE SE.ChassisTypes0 
  WHEN'1' THEN 'Other' 
  WHEN'2' THEN 'Unknown' 
  WHEN'3' THEN 'Desktop' 
  WHEN'4' THEN 'Low-profile desktop' 
  WHEN'5' THEN 'Pizza box' 
  WHEN'6' THEN 'Mini tower' 
  WHEN'7' THEN 'Tower' 
  WHEN'8' THEN 'Portable' 
  WHEN'9' THEN 'Laptop' 
  WHEN'10' THEN 'Notebook' 
  WHEN'11' THEN 'Handheld' 
  WHEN'12' THEN 'Docking station' 
  WHEN'13' THEN 'All-in-one' 
  WHEN'14' THEN 'Sub-notebook' 
  WHEN'15' THEN 'Space-saving' 
  WHEN'16' THEN 'Lunch box' 
  WHEN'17' THEN 'Main system chassis' 
  WHEN'18' THEN 'Expansion chassis' 
  WHEN'19' THEN 'Subchassis' 
  WHEN'20' THEN 'Bus expansion chassis' 
  WHEN'21' THEN 'Peripheral chassis' 
  WHEN'22' THEN 'Storage chassis' 
  WHEN'23' THEN 'Rack mount chassis' 
  WHEN'24' THEN 'Sealed-case PC' 
END as 'Chassis Type' 
FROM 
 v_R_System as R
 JOIN dbo.v_GS_SYSTEM_ENCLOSURE as SE
  on R.ResourceID = SE.ResourceID
ORDER BY 
 R.Netbios_Name0
